LibreOffice LibreOffice 26.2 SDK API Reference

Public Member Functions | List of all members
XSlidePreviewCacheListener Interface Reference

Listener for asynchronous preview creations. More...

`import"XSlidePreviewCacheListener.idl";`

## Public Member Functions
void | notifyPreviewCreation ([in] long nSlideIndex)
| Called by a XSlidePreviewCache object when a preview has been created for the slide with the given index. More...

## Detailed Description

Listener for asynchronous preview creations.

Called when a slide preview has been created that was previously requested via a call to XSlidePreviewCache::getSlidePreview(). The implementor may then call getSlidePreview() a second time to get the up-to-date version of the preview.

## Member Function Documentation

## ◆ notifyPreviewCreation()

void notifyPreviewCreation | ( | [in] long | nSlideIndex | ) |

Called by a XSlidePreviewCache object when a preview has been created for the slide with the given index.

Parameters

  nSlideIndex | The index of the slide for which a new preview has been created.

The documentation for this interface was generated from the following file:

- com/sun/star/drawing/XSlidePreviewCacheListener.idl